/***********************************************************************

    Pinc Case Conversion Words

Author: Rod Crawford

Date: 24/11/89

Pinc can be implemented to form headers in either upper or
lower case. It can even be made case sensitive if you want.
These two functions can be used to convert strings into either
upper or lower case.

***********************************************************************/


#include "cmodel.h"
#include "pinc.h"

/************************  Function Prototypes***********************/

#ifdef KNR
void strupper();
void strlower();
#else
void strupper( char *string );
void strlower( char *string );
#endif


/****************************  strupper  *******************************

Desc: Converts the given zero terminated string into uppercase.

In:   string  character pointer pointing into the string

**********************************************************************/

/*
void strupper( char *string ) {
    char tmp;
    while( *string ) {
     if( islower( *string )) {
         tmp = toupper( *string );
         *string = tmp;

//         *string = toupper( *string );
     }
     string++;
    }
}
*/
void strupper( char *string) {
    
    char tmp;

    int i=0;

    printf("%s\n",string);
    string[0]='X';
    while ( string[i] != (char)NULL ) {
        tmp = toupper( string[i] );
        string[i] = tmp;
        i++;
    }
}



/****************************  strlower  *******************************

Desc: Converts the given zero terminated string into lowercase.

In:   string  character pointer pointing into the string

**********************************************************************/


void strlower( string )
char *string;
{
    while( *string ) {
     if( isupper( *string ))
         *string = tolower( *string );
     string++;
    }
}
